Subject: Re: problem with simple autoconf for fortran
From: "Steven G. Johnson" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 11 Nov 2002 19:18:37 -0500

Michael Lemke wrote:
> I have these three files (+ the stuff created by autoconf etc): 
>   x.F
> [...]
> $ cat configure.ac
> dnl Process this file with autoconf to produce a configure script.
> AC_INIT(x,1.0)
> AM_INIT_AUTOMAKE
> 
> dnl Checks for programs.
> AC_PROG_MAKE_SET
> AC_PROG_F77
> [...]
> That went all fine.  Then I do a make:
> $ make
> g77 -DPACKAGE_NAME=\"x\" -DPACKAGE_TARNAME=\"x\" -DPACKAGE_VERSION=\"1.0\" -
> DPACKAGE_STRING=\"x\ 1.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"x\" -DVERSION=
> \"1.0\"  -I. -I.   @CPPFLAGS@  -g -O2 -c -o x.o `test -f 'x.F' || echo './'`x.F
> g77: cannot specify -o with -c or -S and multiple compilations
> make: *** [x.o] Error 1
> 
> Why is there a @CPPFLAGS@ ?  Isn't that supposed to be replaced by some real
> flags?  Did I miss something in my configure.ac/Makefile.am?

Try putting AC_PROG_CPP in your configure.ac.  When your file is named 
.F (instead of .f), automake expects that the Fortran compiler is 
preprocessing it with the C preprocessor and understands CPPFLAGS. 
However, CPPFLAGS are only set by the AC_PROG_CC/AC_PROG_CPP macros.

Steven

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/